[driverloader] error -19 with SMC2835W

Avdi Grimm avdi at avdi.org
Wed Jul 13 00:06:07 EDT 2005

Hi there,

I've been trying to get my SMC 2835W cardbus adapter up and running on a Thinkpad under Ubuntu 5.04.  Since the Prism54 drivers failed to work, I thought I'd give driverloader a shot.  I suspect, because Prism54 failed, that it is one of the newer "SoftMAC" revisions of the card, but I don't know for sure.

Driverloader gives me errors on load.  The relevent kernel output appears to be:

    driverloader: 2835wc51.sys: 0xc6c23000..0x6c81380 entry = c6c445de (pbase = 0x10000)
    ACPI: PCI interrupt 0000:06:00.0[A] -> GSI 9 (level, low) -> IRQ 9
    wlan0: failed to initialize adapter (err = -19)
    wlan0: failed to register net device (-19)

Any help would be appreciated.

Avdi Grimm

More information about the driverloader mailing list